Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029019
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2015-02-22 19:022015-03-30 13:36
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR14Q3.5SCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029019: Sales order documentno's can be repeated in Web POS

DescriptionSales order documentno's can be repeated in Web POS

It seems that Web POS still is repeating documentno's. In the following log traces it is possible to see that documentno XXX/0016508 repeat at the end and at the beginning
"21-02-2015 09:20:56","Warn","XXX","""Saving receipt."""
"21-02-2015 09:20:56","Warn","XXX","""Ticket closed. Id: 5F5646F58EBED0436D62EB9715B4A288. Docno: XXX/0016511. Total gross: 40000. Lines: [{Product: RTL-Kariboy, Quantity: 4 Gross: 40000}] Payments: [{PaymentMethod: OBPOS_payment.cash, Amount: 40000 OrigAmount: 40000 "21-02-2015 09:20:48","Warn","XXX","""getNextDocumentNo: 16511"""
"21-02-2015 09:20:20","Warn","XXX","""Order successfully removed."""
"21-02-2015 09:20:20","Warn","XXX","""Sync process success."""
"21-02-2015 09:20:20","Warn","XXX","""callback runsyncprocess"""
"21-02-2015 09:20:18","Warn","XXX","""Updating cashup"""
"21-02-2015 09:20:17","Warn","XXX","""SetPaymentMethod:Cash. totalSales: 5574000. totalReturns: 0"""
"21-02-2015 09:20:16","Warn","XXX","""Cash up info transactions saved correctly"""
"21-02-2015 09:20:14","Warn","XXX","""getNextDocumentNo: 16511"""
"21-02-2015 09:20:14","Warn","XXX","""Executing of post order save hook."""
"21-02-2015 09:20:13","Warn","XXX","""SetTotalTransactions: 5574000"""
"21-02-2015 09:20:13","Warn","XXX","""SetNetSales: 5067272.72727075"""
"21-02-2015 09:20:13","Warn","XXX","""SetGrossSales: 5574000"""
"21-02-2015 09:20:13","Warn","XXX","""Updating cashup"""
"21-02-2015 09:20:13","Warn","XXX","""Setting document sequence:
{\""documentSequence\"":16510,\""quotationDocumentSequence\"":0,\""id\"":\""88DAE6D41457AE20CEBA9DD762191AF9\"",\""posSearchKey\"":\""XXX\""}"""
"21-02-2015 09:20:13","Warn","XXX","""Saving receipt."""
"21-02-2015 09:20:13","Warn","XXX","""Ticket closed. Id: 7BE68F38419FA6C0D2FCA28EE9045CEE. Docno: XXX/0016508. Total gross: 60000. Lines: [{Product: RTL-Choco Boy, Quantity: 6 Gross: 60000}] Payments: [{PaymentMethod: OBPOS_payment.cash, Amount: 60000 OrigAmount: 60000 "21-02-2015 09:13:13","Warn","XXX","""Order successfully removed."""
"21-02-2015 09:13:13","Warn","XXX","""Sync process success."""
"21-02-2015 09:13:13","Warn","XXX","""callback runsyncprocess"""
"21-02-2015 09:13:10","Warn","XXX","""Updating cashup"""
"21-02-2015 09:13:09","Warn","XXX","""SetPaymentMethod:Cash. totalSales: 5514000. totalReturns: 0"""
"21-02-2015 09:13:09","Warn","XXX","""Cash up info transactions saved correctly"""
"21-02-2015 09:13:06","Warn","XXX","""getNextDocumentNo: 16511"""
"21-02-2015 09:13:06","Warn","XXX","""Executing of post order save hook."""
"21-02-2015 09:13:06","Warn","XXX","""SetTotalTransactions: 5514000"""
"21-02-2015 09:13:06","Warn","XXX","""SetGrossSales: 5514000"""
"21-02-2015 09:13:06","Warn","XXX","""SetNetSales: 5012727.27272529"""
"21-02-2015 09:13:06","Warn","XXX","""Updating cashup"""
"21-02-2015 09:13:06","Warn","XXX","""Setting document sequence: {\""documentSequence\"":16510,\""quotationDocumentSequence\"":0,\""id\"":\""88DAE6D41457AE20CEBA9DD762191AF9\"",\""posSearchKey\"":\""XXX\""}"""
"21-02-2015 09:13:06","Warn","XXX","""Saving receipt."""
"21-02-2015 09:13:06","Warn","XXX","""Ticket closed. Id: 4885D710AB3D9226E60DB0DF0621EFA4. Docno: XXX/0016510. Total gross: 20000. Lines: [{Product: RTL-Kariboy, Quantity: 2 Gross: 20000}] Payments: [{PaymentMethod: OBPOS_payment.cash, Amount: 20000 OrigAmount: 20000 "21-02-2015 09:11:01","Warn","XXX","""Order successfully removed."""
"21-02-2015 09:11:01","Warn","XXX","""Sync process success."""
"21-02-2015 09:11:00","Warn","XXX","""callback runsyncprocess"""
"21-02-2015 09:10:59","Warn","XXX","""Updating cashup"""
"21-02-2015 09:10:56","Warn","XXX","""SetPaymentMethod:Cash. totalSales: 5494000. totalReturns: 0"""
"21-02-2015 09:10:56","Warn","XXX","""Cash up info transactions saved correctly"""
"21-02-2015 09:10:53","Warn","XXX","""getNextDocumentNo: 16510"""
"21-02-2015 09:10:53","Warn","XXX","""Executing of post order save hook."""
"21-02-2015 09:10:53","Warn","XXX","""SetTotalTransactions: 5494000"""
"21-02-2015 09:10:53","Warn","XXX","""SetGrossSales: 5494000"""
"21-02-2015 09:10:53","Warn","XXX","""SetNetSales: 4994545.45454347"""
"21-02-2015 09:10:53","Warn","XXX","""Updating cashup"""
"21-02-2015 09:10:53","Warn","XXX","""Setting document sequence: {\""documentSequence\"":16509,\""quotationDocumentSequence\"":0,\""id\"":\""88DAE6D41457AE20CEBA9DD762191AF9\"",\""posSearchKey\"":\""XXX\""}"""
"21-02-2015 09:10:53","Warn","XXX","""Saving receipt."""
"21-02-2015 09:10:52","Warn","XXX","""Ticket closed. Id: AF27FAB6EEB97451D5A84B8EDF7888A6. Docno: XXX/0016509. Total gross: 10000. Lines: [{Product: RTL-Choco Boy, Quantity: 1 Gross: 10000}] Payments: [{PaymentMethod: OBPOS_payment.cash, Amount: 10000 OrigAmount: 10000 "21-02-2015 09:10:13","Warn","XXX","""Sync process success."""
"21-02-2015 09:10:13","Warn","XXX","""Order successfully removed."""
"21-02-2015 09:10:13","Warn","XXX","""callback runsyncprocess"""
"21-02-2015 09:10:11","Warn","XXX","""Updating cashup"""
"21-02-2015 09:10:09","Warn","XXX","""SetPaymentMethod:Cash. totalSales: 5484000. totalReturns: 0"""
"21-02-2015 09:10:08","Warn","XXX","""Cash up info transactions saved correctly"""
"21-02-2015 09:10:06","Warn","XXX","""getNextDocumentNo: 16509"""
"21-02-2015 09:10:06","Warn","XXX","""Executing of post order save hook."""
"21-02-2015 09:10:06","Warn","XXX","""SetTotalTransactions: 5484000"""
"21-02-2015 09:10:06","Warn","XXX","""SetGrossSales: 5484000"""
"21-02-2015 09:10:06","Warn","XXX","""SetNetSales: 4985454.54545256"""
"21-02-2015 09:10:06","Warn","XXX","""Updating cashup"""
"21-02-2015 09:10:06","Warn","XXX","""Setting document sequence: {\""documentSequence\"":16508,\""quotationDocumentSequence\"":0,\""id\"":\""88DAE6D41457AE20CEBA9DD762191AF9\"",\""posSearchKey\"":\""XXX\""}"""
"21-02-2015 09:10:05","Warn","XXX","""Saving receipt."""
"21-02-2015 09:10:05","Warn","XXX","""Ticket closed. Id: 2145D545C20088E727AE3424A712E107. Docno: XXX/0016508. Total gross: 10000. Lines: [{Product: RTL-Kariboy, Quantity: 1 Gross: 10000}] Payments: [{PaymentMethod: OBPOS_payment.cash, Amount: 10000 OrigAmount: 10000 Date: Sat Feb 21 2015 15:10:05 GMT+0700 (SE Asia Standard Time) isocode: IDR}]"""

Steps To Reproduce-Check log traces
Proposed SolutionI think that we should add some verification in close event and verify that documentno was not already used.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029018 closedaaroncalero Paymentmethodcashup table is not properly updated 

-  Notes
(0076139)
malsasua (developer)
2015-03-30 13:35

fixed by changesets related to issue 29018
(0076140)
malsasua (developer)
2015-03-30 13:36

verified

- Issue History
Date Modified Username Field Change
2015-02-22 19:02 jecharri New Issue
2015-02-22 19:02 jecharri Assigned To => marvintm
2015-02-22 19:02 jecharri Triggers an Emergency Pack => No
2015-03-27 10:49 aaroncalero Relationship added related to 0029018
2015-03-30 13:35 malsasua Status new => scheduled
2015-03-30 13:35 malsasua Note Added: 0076139
2015-03-30 13:35 malsasua Status scheduled => resolved
2015-03-30 13:35 malsasua Fixed in Version => RR15Q2
2015-03-30 13:35 malsasua Resolution open => fixed
2015-03-30 13:36 malsasua Review Assigned To => malsasua
2015-03-30 13:36 malsasua Note Added: 0076140
2015-03-30 13:36 malsasua Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker